%global gitrev 83c5a4a
%global icon_themes hicolor

Name:           gnome-2048
Version:        0.1.0
Release:        0.2.git%{gitrev}%{?dist}
Summary:        A 2048 clone for GNOME

License:        GPLv3+
URL:            https://wiki.gnome.org/Apps/2048
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# git clone git://git.gnome.org/gnome-2048 && cd gnome-2048
# git archive --format=tar --prefix gnome-2048-0.1.0-%{gitrev}/ HEAD | xz >  ../gnome-2048-0.1.0-%{gitrev}.tar.xz
Source0:        gnome-2048-0.1.0-%{gitrev}.tar.xz

# Upstream fix for https://bugzilla.gnome.org/show_bug.cgi?id=743119
Patch1:         0001-Fix-crash-due-to-not-available-colors.patch

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(gee-0.8)

BuildRequires:  desktop-file-utils
# auto + vala
BuildRequires:  automake autoconf yelp-tools intltool gnome-common vala


%description
A GNOME clone of the popular game 2048
http://en.wikipedia.org/wiki/2048_(video_game)


%prep
%setup -q -n %{name}-%{version}-%{gitrev}
%patch1 -p1 -b .colorcrash


%build
NOCONFIGURE=1 ./autogen.sh 
%configure
make %{?_smp_mflags}


%install
%make_install
%find_lang %{name} --with-gnome
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%post
for theme in %{icon_themes} ; do
  touch --no-create %{_datadir}/icons/$theme &>/dev/null || :
done


%postun
if [ $1 -eq 0 ]; then
  for theme in %{icon_themes} ; do
    touch --no-create %{_datadir}/icons/$theme &> /dev/null
    gtk-update-icon-cache %{_datadir}/icons/$theme &> /dev/null || :
  done
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
for theme in %{icon_themes} ; do
  gtk-update-icon-cache %{_datadir}/icons/$theme &>/dev/null || :
done
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%doc COPYING
%{_bindir}/gnome-2048
%{_datadir}/appdata/gnome-2048.appdata.xml
%{_datadir}/applications/gnome-2048.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.2048.gschema.xml
%{_datadir}/icons/hicolor/*/apps/gnome-2048.*


%changelog
* Fri Apr  3 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.0-0.2.83c5a4a
- Apply upstream patch for bug 1208841

* Wed Jan 14 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.0-0.1.83c5a4a
- Packaging attempt
